<script lang="ts">
    import type District from '$models/District'
    import getHumanName from '$utils/getHumanName'
    import UnitCreator from './UnitCreator.svelte'
    import Section from './Section.svelte'

    export let district: District

    let units = district.units
    let unitNumber = district.unitNumber
    let unitStorage = district.unitStorage
</script>

<section>
    <p>Units number: {$unitNumber} / {$unitStorage}</p>

    <ul>
        {#each $units as unit}
            <li>{getHumanName(unit.type)}: {unit.quantity}</li>
        {/each}
    </ul>
</section>

<Section title="Build units" toggle={true}>
    {#each $units as unit}
        <UnitCreator {units} {unit} {district} />
    {/each}
</Section>

<style lang="postcss">
    p {
        @apply font-semibold text-trueGray-800 dark:text-trueGray-50 mb-1;
    }

    ul {
        @apply text-trueGray-500 dark:text-trueGray-400;
    }
</style>
